> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Analyst Ratings

> Retrieves analyst ratings and recommendations for a given symbol, including
buy/hold/sell counts and the consensus recommendations.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/analyst-ratings/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/analyst-ratings/query:
    post:
      tags:
        - Analyst Estimates
      summary: Analyst Ratings
      description: >-
        Retrieves analyst ratings and recommendations for a given symbol,
        including

        buy/hold/sell counts and the consensus recommendations.
      operationId: query_analyst_ratings_v1_analyst_ratings_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnalystRatingsQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalystRatingsResponse'
components:
  schemas:
    AnalystRatingsQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            Object specifying which identifier you are using to request the
            analyst ratings. You must supply one type and its corresponding
            value.
      type: object
      required:
        - identifier
      title: AnalystRatingsQuery
    AnalystRatingsResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/AnalystRatings'
          type: array
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: AnalystRatingsResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    AnalystRatings:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: RavenPack internal entity identifier.
          examples:
            - 4A6F00
            - D8442A
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - AAPL
            - MSFT
        strong_buy:
          anyOf:
            - type: integer
            - type: 'null'
          title: Strong Buy
          description: >-
            Number of analysts who have issued a 'Strong Buy' recommendation for
            the stock.
        buy:
          anyOf:
            - type: integer
            - type: 'null'
          title: Buy
          description: Number of analysts who have issued a 'Buy' rating.
        hold:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hold
          description: Number of analysts recommending to hold the stock.
        sell:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sell
          description: Number of analysts recommending to sell the stock.
        strong_sell:
          anyOf:
            - type: integer
            - type: 'null'
          title: Strong Sell
          description: Number of analysts recommending a 'Strong Sell'.
        consensus:
          anyOf:
            - $ref: '#/components/schemas/Consensus'
            - type: 'null'
          description: >-
            The overall recommendation derived from aggregating all analyst
            ratings.
          examples:
            - Strong Buy
            - Buy
            - Hold
            - Sell
            - Strong Sell
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
      title: AnalystRatings
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
    Consensus:
      type: string
      enum:
        - Strong Buy
        - Buy
        - Hold
        - Sell
        - Strong Sell
      title: Consensus
      description: Enum for the consensus rating of analysts.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````